
UserParameter=megacli.bbu.discover,sudo /usr/sbin/megacli -AdpBbuCmd -GetBbuCapacityInfo -aALL  -NoLog | grep '^BBU Capacity Info for Adapter: ' | sed -e 's/^BBU Capacity Info for Adapter: //' | /bin/sed -e '$ ! s/\(.*\)/{"{#BBUNUM}":"\1"},/' | sed -e '$  s/\(.*\)/{"{#BBUNUM}":"\1"}]}/' | /bin/sed -e '1 i { \"data\":['

UserParameter=megacli.bbu.isSOHGood[*],sudo /usr/sbin/megacli -AdpBbuCmd -GetBbuStatus -a$1 -NoLog | grep '^isSOHGood: ' | sed -e 's/^isSOHGood: //'
UserParameter=megacli.bbu.Voltage[*],sudo /usr/sbin/megacli -AdpBbuCmd -GetBbuStatus -a$1 -NoLog | grep '^Voltage: ' | sed -e 's/^Voltage: //' -e 's/ mV//'
UserParameter=megacli.bbu.Temperature[*],sudo /usr/sbin/megacli -AdpBbuCmd -GetBbuStatus -a$1 -NoLog | grep '^Temperature: ' | sed -e 's/^Temperature: //' -e 's/ C//'
UserParameter=megacli.bbu.Remaining_Capacity[*],sudo /usr/sbin/megacli -AdpBbuCmd -GetBbuStatus -a$1 -NoLog | grep '^Remaining Capacity: ' | sed -e 's/^Remaining Capacity: //' -e 's/ mAh//'
UserParameter=megacli.bbu.replace_need[*],sudo /usr/sbin/megacli -AdpBbuCmd -GetBbuStatus -a$1 -NoLog | grep '^  Pack is about to fail & should be replaced : ' | sed -e 's/^  Pack is about to fail & should be replaced : //'
